Index: npl/buildroot.list
===================================================================
--- npl/buildroot.list	(revision 90f43e52628c9bbe952fdbbbe4183772a6675fb2)
+++ npl/buildroot.list	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -30,5 +30,4 @@
 glibc
 glibc_solibs
-glibc_zoneinfo
 gmp
 grep
@@ -79,5 +78,4 @@
 expect
 network_scripts
-libmpfr
 xz
 gmp
@@ -93,2 +91,3 @@
 attr
 bc
+gpm
Index: npl/fileserver/git/git.SlackBuild
===================================================================
--- npl/fileserver/git/git.SlackBuild	(revision 90f43e52628c9bbe952fdbbbe4183772a6675fb2)
+++ npl/fileserver/git/git.SlackBuild	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -8,4 +8,5 @@
 #DEP:zlib
 #DEP:python
+#DEP:curl
 
 #######Essential package info.
Index: npl/fileserver/git/git.build
===================================================================
--- npl/fileserver/git/git.build	(revision 90f43e52628c9bbe952fdbbbe4183772a6675fb2)
+++ npl/fileserver/git/git.build	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -1,1 +1,1 @@
-6528
+6529
Index: npl/fileserver/git/git.depver
===================================================================
--- npl/fileserver/git/git.depver	(revision 90f43e52628c9bbe952fdbbbe4183772a6675fb2)
+++ npl/fileserver/git/git.depver	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -2,2 +2,3 @@
 zlib	0
 python	2
+curl	1
Index: npl/fileserver/git/git.md5
===================================================================
--- npl/fileserver/git/git.md5	(revision 90f43e52628c9bbe952fdbbbe4183772a6675fb2)
+++ npl/fileserver/git/git.md5	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -1,4 +1,4 @@
 a84938bccf9220c7e5ec290b242ae53b  ./git-2.11.0.tar.gz
-83861121f72bac8df3b65a4518788a35  ./git.pkg
-92e8651adf2d874ef9b679547f9d4452  ./git.SlackBuild
-f9b26423a41ddc11884196fd8353549a  ./git.SlackBuild.log.gz
+af848a0ae240ccebee9f1485fe7e88d8  ./git.pkg
+7e22fea0ad7a6ae81e361c66cbcf8d90  ./git.SlackBuild
+8a4e73d5524169ae2e750d452c09886d  ./git.SlackBuild.log.gz
Index: npl/internetserver/apache_conf/apache_conf.build
===================================================================
--- npl/internetserver/apache_conf/apache_conf.build	(revision 90f43e52628c9bbe952fdbbbe4183772a6675fb2)
+++ npl/internetserver/apache_conf/apache_conf.build	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -1,1 +1,1 @@
-6437
+6439
Index: npl/internetserver/apache_conf/apache_conf.md5
===================================================================
--- npl/internetserver/apache_conf/apache_conf.md5	(revision 90f43e52628c9bbe952fdbbbe4183772a6675fb2)
+++ npl/internetserver/apache_conf/apache_conf.md5	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -1,5 +1,5 @@
-3401dd091aa9cdaff2a4045393ddbef4  ./apache_conf.pkg
+a9fc66761161a1df13f80f74df72c521  ./apache_conf.pkg
 42016730303eef15aafe66cc3d793c8b  ./apache_conf.SlackBuild
-449826fbb49a494aed99e2fbf10b7945  ./apache_conf.SlackBuild.log.gz
+16fe6d19f1cb00b83fc6c4213cf19c09  ./apache_conf.SlackBuild.log.gz
 338c8fb6cb12a77c1147519347f0cfbe  ./root/etc/apache2/conf.d/httpd-autoindex.conf
 718f54d560d303c8f6d82484977d5acf  ./root/etc/apache2/conf.d/httpd-dav.conf
@@ -20,5 +20,5 @@
 30baa04580b9a53bf204dc1164221241  ./root/etc/logrotate.d/apache2
 4b30e6ab44455cf3094ca6273700001b  ./root/etc/php5/pear.conf
-ff28eb1ad94185eb0517af39c39d4c8d  ./root/etc/php5/php.ini
+d7c01829b4c122eb2e269c126aa6ab70  ./root/etc/php5/php.ini
 b54388d73ed4dc4198fc7f04bed5daa3  ./root/etc/postinst.d/post.apache_conf
 11658bab7bd1a7380827f7c73f85a753  ./root/service/apache2/run
Index: npl/internetserver/apache_conf/root/etc/php5/php.ini
===================================================================
--- npl/internetserver/apache_conf/root/etc/php5/php.ini	(revision 90f43e52628c9bbe952fdbbbe4183772a6675fb2)
+++ npl/internetserver/apache_conf/root/etc/php5/php.ini	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -304,6 +304,6 @@
 max_input_time = 60	; Maximum amount of time each script may spend parsing request data
 ;max_input_nesting_level = 64 ; Maximum input variable nesting level
-;512M neccesary for z-push -a fixstates
-memory_limit = 512M      ; Maximum amount of memory a script may consume 
+;1024M neccesary for z-push -a fixstates
+memory_limit = 1024M      ; Maximum amount of memory a script may consume 
 
 
Index: npl/internetserver/libreswan_conf/libreswan_conf.build
===================================================================
--- npl/internetserver/libreswan_conf/libreswan_conf.build	(revision 90f43e52628c9bbe952fdbbbe4183772a6675fb2)
+++ npl/internetserver/libreswan_conf/libreswan_conf.build	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -1,1 +1,1 @@
-6552
+6556
Index: npl/internetserver/libreswan_conf/libreswan_conf.md5
===================================================================
--- npl/internetserver/libreswan_conf/libreswan_conf.md5	(revision 90f43e52628c9bbe952fdbbbe4183772a6675fb2)
+++ npl/internetserver/libreswan_conf/libreswan_conf.md5	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -1,9 +1,9 @@
-544cf91ec7a3987868055d7eeb063aed  ./libreswan_conf.pkg
+4d48ba9ca2bafc2d8c6cad067cc10f96  ./libreswan_conf.pkg
 42016730303eef15aafe66cc3d793c8b  ./libreswan_conf.SlackBuild
-7dc0067eced4d98f26cb9b532dc61691  ./libreswan_conf.SlackBuild.log.gz
-811bbe5f8db6bf1ffff4ed5b66fc05f2  ./root/etc/ipsec.conf
+dc356298edb5594410a30833681746dc  ./libreswan_conf.SlackBuild.log.gz
+84184b6c712f668b04ef8edb785c01a1  ./root/etc/ipsec.conf
 53d9d2008956917a02c0c670100165f6  ./root/etc/ipsec.secrets
 f0188fc8f667dc97590f885fd1adfc7d  ./root/etc/pam.d/pluto
-c72a5d7a716724e4f8a2e4f28421f0ae  ./root/etc/postinst.d/post.libreswan
+1a5e15db17d1250abb2596361383d0d1  ./root/etc/postinst.d/post.libreswan
 60ae7c5340247d26161043df4e361722  ./root/home/system/ipsec.d/policies/block
 9e6cbaea66c6f14c9f8e7a6e6b4d720e  ./root/home/system/ipsec.d/policies/clear
@@ -13,4 +13,5 @@
 68b329da9893e34099c7d8ad5cb9c940  ./root/home/system/ipsec.d/tunnels/dummy.conf
 87a28e77aef254bdb8259f4388b40d45  ./root/sbin/syn3-ipseccheck
+a33b03980a28bb1ca9089298f0db1bcf  ./root/sbin/syn3-ipsecpubkey
 9d6f0923366b4e95a8a9fcd85dcaaf56  ./root/service/ipsec/run
 e458545ffca980b0a2d4d8106680f4b0  ./root/service/ipsec/start
Index: npl/internetserver/libreswan_conf/root/etc/ipsec.conf
===================================================================
--- npl/internetserver/libreswan_conf/root/etc/ipsec.conf	(revision 90f43e52628c9bbe952fdbbbe4183772a6675fb2)
+++ npl/internetserver/libreswan_conf/root/etc/ipsec.conf	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -15,5 +15,5 @@
         dpddelay=30
         dpdtimeout=120
-
+        ikev2=never
+        
 include /etc/ipsec.d/tunnels/*.conf
-
Index: npl/internetserver/libreswan_conf/root/etc/postinst.d/post.libreswan
===================================================================
--- npl/internetserver/libreswan_conf/root/etc/postinst.d/post.libreswan	(revision 90f43e52628c9bbe952fdbbbe4183772a6675fb2)
+++ npl/internetserver/libreswan_conf/root/etc/postinst.d/post.libreswan	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -9,11 +9,11 @@
 
 
-KEY=/etc/ipsec.d/ipsec.pub
-if ! egrep '(ckaid|CKA_ID)' $KEY >/dev/null; then
-    rm $KEY 2>/dev/null
+if ! syn3-ipsecpubkey; then
+    #obsolete
+    rm /etc/ipsec.d/ipsec.pub 2>/dev/null
+
     echo Generating ipsec key
-    ipsec newhostkey --bits 2192 --output $KEY || exit 1
-    #previous command can fail without proper exit code, so check it:
-    egrep '(ckaid|CKA_ID)' $KEY >/dev/null || exit 1
+    ipsec newhostkey --bits 2192 || exit 1
+    syn3-ipsecpubkey || exit 1
 fi
 depmod -a
Index: npl/internetserver/libreswan_conf/root/sbin/syn3-ipsecpubkey
===================================================================
--- npl/internetserver/libreswan_conf/root/sbin/syn3-ipsecpubkey	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
+++ npl/internetserver/libreswan_conf/root/sbin/syn3-ipsecpubkey	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -0,0 +1,6 @@
+#!/bin/bash -e
+
+CKAID=`ipsec showhostkey --list |tail -n1 |sed 's/.* //'` 
+[ "$CKAID" ] || exit 1
+ipsec showhostkey --ckaid $CKAID --left |grep leftrsasigkey= | sed 's/.*leftrsasigkey=//'
+
Index: npl/internetserver/ntop/ntop.SlackBuild
===================================================================
--- npl/internetserver/ntop/ntop.SlackBuild	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
+++ npl/internetserver/ntop/ntop.SlackBuild	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -0,0 +1,109 @@
+#!/bin/bash
+
+#NEED:git
+##DEP:ndpi
+#DEP:libpcap
+#DEP:sqlite
+#DEP:mysql56
+#DEP:glib2
+#DEP:libxml2
+#DEP:rrdtool
+#NEED:groff
+#DEP:zlib
+#DEP:curl
+##DEP:drv_pf_ring
+
+#######Essential package info.
+#Change these if autodetection fails.
+
+#Name of the Syn-3 package that we are going to create
+NAME=`basename $0|sed 's/.SlackBuild//'`
+
+#git clone http://github.com/ntop/ntopng.git || exit 1
+
+
+#Archive of the sourcefiles to unpack 
+#SRC_ARC=`ls *.tar.* *.zip 2>/dev/null`
+SRC_ARC=ntopng-dev.zip
+
+#Version of the sourcefiles
+VER=`echo $SRC_ARC| sed 's/.*-//g' | sed 's/\.tar\..*$//g' | sed 's/\.zip$//g'`
+#VER=`cd ntopng; git describe --tags|sed 's/-/_/g'`
+
+#Architecture that the created binaries run on.
+#Use noarch for scripts.
+ARCH=`uname -m`
+
+#from this point on, exit on errors:
+set -e
+
+########Build and create the pacakge.
+#Uncomment the stuff that you dont want or need
+
+#Unpack source 
+#(uncomment if not needed)
+syn3_unpack $SRC_ARC 
+
+#Directory where the sourcefiles are unpacked. 
+#(you might have to adjust this if autodetection fails)
+SRC_DIR=`ls -c|head -1`
+#SRC_DIR=ntopng
+
+#apply patches
+#patch -p1 -d $SRC_DIR < no_zc.patch || exit 1
+
+pushd $SRC_DIR 
+
+#AUTOMAKE: Configure
+#Some usefull stuff you sometimes need to set:
+#export LDFLAGS="-L/usr/X11/lib/ -L/usr/lib/mysql/"
+#export LD_LIBRARY_PATH=/usr/lib/mysql
+#export VPATH=$LD_LIBRARY_PATH
+#export CFLAGS="-std=c89"
+#export CFLAGS="-fgnu89-inline" #If "multiple definition of `foo'" Also see http://gcc.gnu.org/gcc-4.3/porting_to.html
+
+#get ndpi sources
+pushd ..
+#git clone http://github.com/ntop/nDPI.git 
+unzip nDPI-dev.zip 
+mv nDPI-dev nDPI
+#git clone -b 1.8 https://github.com/ntop/nDPI.git 
+cd nDPI
+./autogen.sh
+make $MAKE_OPTS
+popd
+
+
+MAKE_OPTS=""
+./autogen.sh
+./configure --prefix=/usr  || exit 1
+
+#AUTOMAKE: Compile
+make $MAKE_OPTS || exit 1
+
+#AUTOMAKE: Test (optional)
+if grep ^test: Makefile; then
+	make pkgconfigdir=/usr/lib/pkgconfig $MAKE_OPTS install || exit 1
+	make $MAKE_OPTS test || exit 1
+elif grep ^check: Makefile; then
+	make pkgconfigdir=/usr/lib/pkgconfig $MAKE_OPTS install || exit 1
+	make $MAKE_OPTS check || exit 1 
+fi
+
+#AUTOMAKE: Install
+mkdir -p /tmp/pkg &>/dev/null
+make pkgconfigdir=/usr/lib/pkgconfig install_prefix=/tmp/pkg DESTDIR=/tmp/pkg INSTALL_ROOT=/tmp/pkg install_root=/tmp/pkg $MAKE_OPTS install || exit 1
+popd
+
+#strip bins and other stuff
+syn3_strip /tmp/pkg || exit 1
+
+#move development stuff and create seperate development package
+syn3_move_dev /tmp/pkg /tmp/pkgdev || exit 1
+syn3_makepkg /tmp/pkgdev $NAME""_dev $VER $ARCH || exit 1
+
+#make main package
+syn3_makepkg /tmp/pkg $NAME $VER $ARCH || exit 1
+
+
+
Index: npl/internetserver/ntop/ntop.arch
===================================================================
--- npl/internetserver/ntop/ntop.arch	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
+++ npl/internetserver/ntop/ntop.arch	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -0,0 +1,1 @@
+i686
Index: npl/internetserver/ntop/ntop.build
===================================================================
--- npl/internetserver/ntop/ntop.build	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
+++ npl/internetserver/ntop/ntop.build	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -0,0 +1,1 @@
+5
Index: npl/internetserver/ntop/ntop.depver
===================================================================
--- npl/internetserver/ntop/ntop.depver	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
+++ npl/internetserver/ntop/ntop.depver	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -0,0 +1,8 @@
+libpcap	0107
+sqlite	2
+mysql56	1
+glib2	2
+libxml2	1
+rrdtool	0
+zlib	0
+curl	1
Index: npl/internetserver/ntop/ntop.md5
===================================================================
--- npl/internetserver/ntop/ntop.md5	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
+++ npl/internetserver/ntop/ntop.md5	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -0,0 +1,6 @@
+cdae3046a4f1750a8b94f1c5f8c0d533  ./nDPI-dev.zip
+1b0a9a81677926e892b364c89715220f  ./no_zc.patch
+124698b38a905aba53020b5a0566657b  ./ntopng-dev.zip
+9f2dc5ab9048d4f2cafb95d9d3df8961  ./ntop.pkg
+a6150b476ea199994fc5c24b5e5f5835  ./ntop.SlackBuild
+7592823fd4b8fefe57b2be2c9871a56f  ./ntop.SlackBuild.log.gz
Index: npl/internetserver/ntop/ntop.version
===================================================================
--- npl/internetserver/ntop/ntop.version	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
+++ npl/internetserver/ntop/ntop.version	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -0,0 +1,1 @@
+dev
Index: npl/internetserver/openvpn_conf/openvpn_conf.build
===================================================================
--- npl/internetserver/openvpn_conf/openvpn_conf.build	(revision 90f43e52628c9bbe952fdbbbe4183772a6675fb2)
+++ npl/internetserver/openvpn_conf/openvpn_conf.build	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -1,1 +1,1 @@
-6559
+6560
Index: npl/internetserver/openvpn_conf/openvpn_conf.md5
===================================================================
--- npl/internetserver/openvpn_conf/openvpn_conf.md5	(revision 90f43e52628c9bbe952fdbbbe4183772a6675fb2)
+++ npl/internetserver/openvpn_conf/openvpn_conf.md5	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -1,9 +1,11 @@
-96d33d19dd2dd7c62653830905f56392  ./openvpn_conf.pkg
+c944c634d7d393d656a8bc72981d857d  ./openvpn_conf.pkg
 729b418d4c2197708760319d4097906e  ./openvpn_conf.SlackBuild
-989f13e22e0775af613932f97f671994  ./openvpn_conf.SlackBuild.log.gz
+9642ef78f7a58f409156e4e23271ae51  ./openvpn_conf.SlackBuild.log.gz
 02590f2d27b9254da5877e03719a9228  ./root/etc/firewall/services.openvpn
 5d08314120a94191e539c792b1c410a2  ./root/etc/openvpn/easyrsa
 d6cb374d0d7d5b7b87d74f9976362a70  ./root/etc/openvpn/openssl-1.0.cnf
-5a93266250a72d36d413e11784cbfb20  ./root/etc/openvpn/openvpn.conf
+88937c4fed1e288bcedfc2975792c331  ./root/etc/openvpn/openvpn.conf
+587c47cd3871a89b73f07716e722e953  ./root/etc/openvpn/openvpn_custom.conf.new
+d41d8cd98f00b204e9800998ecf8427e  ./root/etc/openvpn/openvpn_syn3.conf.new
 f3bdb2484e8eee18be1cb25093d1d19a  ./root/etc/openvpn/pam_ldap.conf
 a7956355ff8cb69cc5ee0ed476380149  ./root/etc/openvpn/syn3-client
@@ -16,3 +18,3 @@
 d0d7a06379af67505bf5dae59d3e7afb  ./root/etc/openvpn/x509-types/server
 c8fadda104656594f3ceadbb13d9d178  ./root/etc/pam.d/openvpn
-152c8cb4320ada777fdb72d8c75f6eeb  ./root/service/openvpn/run
+a6e8a68a743fe6448c01ccba1db33569  ./root/service/openvpn/run
Index: npl/internetserver/openvpn_conf/root/etc/openvpn/openvpn.conf
===================================================================
--- npl/internetserver/openvpn_conf/root/etc/openvpn/openvpn.conf	(revision 90f43e52628c9bbe952fdbbbe4183772a6675fb2)
+++ npl/internetserver/openvpn_conf/root/etc/openvpn/openvpn.conf	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -1,23 +1,8 @@
-#################################################
-# Sample OpenVPN 2.0 config file for            #
-# multi-client server.                          #
-#                                               #
-# This file is for the server side              #
-# of a many-clients  one-server                 #
-# OpenVPN configuration.                        #
-#                                               #
-# OpenVPN also supports                         #
-# single-machine  single-machine                #
-# configurations (See the Examples page         #
-# on the web site for more info).               #
-#                                               #
-# This config should work on Windows            #
-# or Linux/BSD systems.  Remember on            #
-# Windows to quote pathnames and use            #
-# double backslashes, e.g.:                     #
-# "C:\\Program Files\\OpenVPN\\config\\foo.key" #
-#                                               #
-# Comments are preceded with '#' or ';'         #
-#################################################
+#########################################
+### SYN-3 openvpn configuration
+### This file will be overwritten by updates.
+### Please make changes in /etc/openvpn/openvpn_custom.conf
+##########################################
+
 
 # Which local IP address should OpenVPN
@@ -86,5 +71,5 @@
 #   openssl dhparam -out dh1024.pem 1024
 # Substitute 2048 for 1024 if you are using
-# 2048 bit keys. 
+# 2048 bit keys.
 dh /etc/openvpn/pki/dh.pem
 
@@ -183,5 +168,5 @@
 # a more specific route than the default route
 # of 0.0.0.0/0.0.0.0.
-push "redirect-gateway"
+;push "redirect-gateway"
 
 # Certain Windows-specific network settings
@@ -189,5 +174,5 @@
 # or WINS server addresses.  CAVEAT:
 # http://openvpn.net/faq.html#dhcpcaveats
-push "dhcp-option DNS 10.8.0.1"
+;push "dhcp-option DNS 10.8.0.1"
 ;push "dhcp-option WINS 10.8.0.1"
 
@@ -300,3 +285,2 @@
 # pam_ldap authentication (need to be member of group with uid 521)
 plugin /usr/lib/openvpn/plugins/openvpn-plugin-auth-pam.so "openvpn login USERNAME password PASSWORD"
-
Index: npl/internetserver/openvpn_conf/root/etc/openvpn/openvpn_custom.conf.new
===================================================================
--- npl/internetserver/openvpn_conf/root/etc/openvpn/openvpn_custom.conf.new	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
+++ npl/internetserver/openvpn_conf/root/etc/openvpn/openvpn_custom.conf.new	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -0,0 +1,1 @@
+# Put your custom openvpn setting here. This will not be overwritten by updates.
Index: npl/internetserver/openvpn_conf/root/service/openvpn/run
===================================================================
--- npl/internetserver/openvpn_conf/root/service/openvpn/run	(revision 90f43e52628c9bbe952fdbbbe4183772a6675fb2)
+++ npl/internetserver/openvpn_conf/root/service/openvpn/run	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -52,4 +52,3 @@
 modprobe tun
 
-exec openvpn --config openvpn.conf
-
+exec openvpn --config openvpn.conf --config openvpn_syn3.conf  --config openvpn_custom.conf
Index: npl/kernel/drv_pf_ring/drv_pf_ring.SlackBuild
===================================================================
--- npl/kernel/drv_pf_ring/drv_pf_ring.SlackBuild	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
+++ npl/kernel/drv_pf_ring/drv_pf_ring.SlackBuild	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -0,0 +1,65 @@
+#!/bin/bash
+
+##NEED:...
+#DEP:linux_src
+#DEP:linux
+
+#######Essential package info.
+#Change these if autodetection fails.
+
+#Name of the Syn-3 package that we are going to create
+NAME=`basename $0|sed 's/.SlackBuild//'`
+
+#Archive of the sourcefiles to unpack 
+SRC_ARC=`ls *.tar.* *.zip 2>/dev/null`
+
+#Version of the sourcefiles
+VER=`echo $SRC_ARC| sed 's/.*-//g' | sed 's/\.tar\..*$//g' | sed 's/\.zip$//g'`
+
+#Architecture that the created binaries run on.
+#Use noarch for scripts.
+ARCH=`uname -m`
+
+#from this point on, exit on errors:
+set -e
+
+########Build and create the pacakge.
+#Uncomment the stuff that you dont want or need
+
+#Unpack source 
+#(uncomment if not needed)
+syn3_unpack $SRC_ARC 
+
+#Directory where the sourcefiles are unpacked. 
+#(you might have to adjust this if autodetection fails)
+SRC_DIR=`ls -c|head -1`
+
+#apply patches
+#patch -p1 -d $SRC_DIR < fluxkiosk.patch || exit 1
+
+pushd $SRC_DIR 
+
+
+#AUTOMAKE: Compile
+cd kernel
+make -j1 || exit 1
+make pkgconfigdir=/usr/lib/pkgconfig install_prefix=/tmp/pkg DESTDIR=/tmp/pkg INSTALL_ROOT=/tmp/pkg install_root=/tmp/pkg -j1 install || exit 1
+
+cd ../userland
+make -j1 || exit 1
+make pkgconfigdir=/usr/lib/pkgconfig install_prefix=/tmp/pkg DESTDIR=/tmp/pkg INSTALL_ROOT=/tmp/pkg install_root=/tmp/pkg -j1 install || exit 1
+
+popd
+
+#strip bins and other stuff
+syn3_strip /tmp/pkg || exit 1
+
+#move development stuff and create seperate development package
+syn3_move_dev /tmp/pkg /tmp/pkgdev || exit 1
+syn3_makepkg /tmp/pkgdev $NAME""_dev $VER $ARCH || exit 1
+
+#make main package
+syn3_makepkg /tmp/pkg $NAME $VER $ARCH || exit 1
+
+
+
Index: npl/kernel/drv_pf_ring/drv_pf_ring.arch
===================================================================
--- npl/kernel/drv_pf_ring/drv_pf_ring.arch	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
+++ npl/kernel/drv_pf_ring/drv_pf_ring.arch	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -0,0 +1,1 @@
+i686
Index: npl/kernel/drv_pf_ring/drv_pf_ring.build
===================================================================
--- npl/kernel/drv_pf_ring/drv_pf_ring.build	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
+++ npl/kernel/drv_pf_ring/drv_pf_ring.build	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -0,0 +1,1 @@
+5
Index: npl/kernel/drv_pf_ring/drv_pf_ring.depver
===================================================================
--- npl/kernel/drv_pf_ring/drv_pf_ring.depver	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
+++ npl/kernel/drv_pf_ring/drv_pf_ring.depver	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -0,0 +1,2 @@
+linux_src	404033004
+linux	0
Index: npl/kernel/drv_pf_ring/drv_pf_ring.md5
===================================================================
--- npl/kernel/drv_pf_ring/drv_pf_ring.md5	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
+++ npl/kernel/drv_pf_ring/drv_pf_ring.md5	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -0,0 +1,5 @@
+66b8002a8f28c949e8c2acd4b79fbfdc  ./drv_pf_ring_dev.pkg
+924448bf7dfb0532cd4f78deedec0f95  ./drv_pf_ring.pkg
+8ab1d083c9ef0fea7a2d5fb2663252e1  ./drv_pf_ring.SlackBuild
+80c69602597e4ab836436772966c55b9  ./drv_pf_ring.SlackBuild.log.gz
+4199f896b822fbe87afc76c31505c371  ./pf-ring-6.6.0.tar.gz
Index: npl/kernel/drv_pf_ring/drv_pf_ring.version
===================================================================
--- npl/kernel/drv_pf_ring/drv_pf_ring.version	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
+++ npl/kernel/drv_pf_ring/drv_pf_ring.version	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -0,0 +1,1 @@
+6.6.0
Index: npl/kernel/drv_pf_ring/drv_pf_ring_dev.arch
===================================================================
--- npl/kernel/drv_pf_ring/drv_pf_ring_dev.arch	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
+++ npl/kernel/drv_pf_ring/drv_pf_ring_dev.arch	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -0,0 +1,1 @@
+i686
Index: npl/kernel/drv_pf_ring/drv_pf_ring_dev.build
===================================================================
--- npl/kernel/drv_pf_ring/drv_pf_ring_dev.build	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
+++ npl/kernel/drv_pf_ring/drv_pf_ring_dev.build	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -0,0 +1,1 @@
+5
Index: npl/kernel/drv_pf_ring/drv_pf_ring_dev.version
===================================================================
--- npl/kernel/drv_pf_ring/drv_pf_ring_dev.version	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
+++ npl/kernel/drv_pf_ring/drv_pf_ring_dev.version	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -0,0 +1,1 @@
+6.6.0
Index: npl/mailserver/zarafa_conf7/root/etc/cron.weekly/zarafa_clean
===================================================================
--- npl/mailserver/zarafa_conf7/root/etc/cron.weekly/zarafa_clean	(revision 90f43e52628c9bbe952fdbbbe4183772a6675fb2)
+++ npl/mailserver/zarafa_conf7/root/etc/cron.weekly/zarafa_clean	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -34,4 +34,20 @@
 zarafa-admin --purge-softdelete 30 || abort "softdelete mislukt"
 
+
+
+syn3-state zarafa OK "$TXT z-push cleanup"
+z-push-admin -a fixstates || abort "z-push cleanup mislukt"
+
+NEEDED=`du  -b -s  /home/system/mysql5/|cut -f 1`
+(( FREE = `stat -f /home -c  %f` * 4096 ))
+
+if [ $NEEDED -gt $FREE ]; then
+	#human readable
+	(( NEEDED = NEEDED / 1000000000 ))
+	(( NEEDED = NEEDED + 1 ))
+	abort "Te weinig diskruimte voor optimalisatie ($NEEDED Gb ruimte nodig voor deze operatie)"
+fi
+
+
 syn3-state zarafa OK "$TXT database optimalisatie"
 mysqlcheck --optimize -p`cat /etc/my.passwd` zarafa || abort "database optimalisatie mislukt"
@@ -44,7 +60,4 @@
 
 
-syn3-state zarafa OK "$TXT z-push cleanup"
-z-push-admin -a fixstates || abort "z-push cleanup mislukt"
-
 syn3-state zarafa OK "Zarafa onderhoud succesvol voltooid."
 
Index: npl/mailserver/zarafa_conf7/zarafa_conf7.build
===================================================================
--- npl/mailserver/zarafa_conf7/zarafa_conf7.build	(revision 90f43e52628c9bbe952fdbbbe4183772a6675fb2)
+++ npl/mailserver/zarafa_conf7/zarafa_conf7.build	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -1,1 +1,1 @@
-6541
+6542
Index: npl/mailserver/zarafa_conf7/zarafa_conf7.md5
===================================================================
--- npl/mailserver/zarafa_conf7/zarafa_conf7.md5	(revision 90f43e52628c9bbe952fdbbbe4183772a6675fb2)
+++ npl/mailserver/zarafa_conf7/zarafa_conf7.md5	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -1,3 +1,3 @@
-e8893e32484009ca0556d0ec47070b17  ./root/etc/cron.weekly/zarafa_clean
+5168e7ee74e660a07889b5a2638971e0  ./root/etc/cron.weekly/zarafa_clean
 d0d5938e40c70afc06b0d1296fc064a2  ./root/etc/cyrus-conv.conf
 3c834f9018b56c5d738ea2641366f0db  ./root/etc/mapi/zarafa.inf
@@ -36,5 +36,5 @@
 e0acc0d2e7774f234b72a110e86057a7  ./root/var/www/htdocs/syn3/zarafa_webapp/webportal.desc
 a4cd55d9e54997e1ab8c7d8b1f89ee47  ./root/var/www/htdocs/syn3/zarafa_webapp/webportal.png
-f85e76f4432415666a5a9ddb413078a4  ./zarafa_conf7.pkg
+deb13959ac09cec840ba9a612f546d28  ./zarafa_conf7.pkg
 f4f9e3673e49bd56810ee75e666f51a0  ./zarafa_conf7.SlackBuild
-68340e47cee53a2ca0344d0442e52ec8  ./zarafa_conf7.SlackBuild.log.gz
+db342e26f18528b05d9dd85bfb84e00e  ./zarafa_conf7.SlackBuild.log.gz
Index: npl/overig/gawk/gawk-4.1.4.tar.xz.sig
===================================================================
--- npl/overig/gawk/gawk-4.1.4.tar.xz.sig	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
+++ npl/overig/gawk/gawk-4.1.4.tar.xz.sig	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -0,0 +1,11 @@
+-----BEGIN PGP SIGNATURE-----
+Version: GnuPG v1
+
+iQEcBAABAgAGBQJXvzSWAAoJEN9ZeBWTfsDSPP8H/1Naw13ybArprjJDgwU7kQ5X
+Yrwt40pQwehaxk+21kVlA+19O7qamHbKhX1etyRB4+KaBjTf9s3tOCdIIo4b3oTi
+XCMSXhyBRzOs47+p2l6MVtQLPNuQ5nNhqeuP6tmlSi0QyI43EAcP3cix0nsYriUH
+EAv2VffhdYawUrKgZE1sssRlDD47YoEelS4Gs1kC1HBRp/LnvuISItiP43JVGGeX
++SjgPh14oe8F7yVxIyAUFnK4zKEaNM/KDKvvZ7tDz1n7NtLxihtJPnvsticLhvDC
+w+upaY41YUx0nnIy2QXF2lLNRtceJJ5zhl/QMxME5nWnN1dNGZLAVnBQYUbU7oU=
+=8yeI
+-----END PGP SIGNATURE-----
Index: npl/overig/gawk/gawk.SlackBuild
===================================================================
--- npl/overig/gawk/gawk.SlackBuild	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
+++ npl/overig/gawk/gawk.SlackBuild	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -0,0 +1,25 @@
+#!/bin/bash
+#
+# Automaticly created by importpackage v1.0
+# Imported from: http://mirrors.slackware.com/slackware/slackware-current/source/a/gawk/
+# Created at Tue Jan 31 22:07:15 CET 2017
+
+
+########### source original slackbuild (hopefully we dont need to modify it)
+CWD=`pwd`
+set -e
+source ./gawk.SlackBuild.orig
+
+
+############ make syn3 packages
+cd $CWD
+for PKG in /tmp/package-*; do
+        NAME=`echo $PKG| sed 's/.*package-//'| sed 's/-/_/g'`
+
+        #seperate dev-package
+        syn3_move_dev $PKG $PKG""_dev
+        syn3_makepkg $PKG""_dev $NAME""_dev $VERSION $ARCH || exit 1
+
+        #make main package
+        syn3_makepkg $PKG $NAME $VERSION $ARCH || exit 1
+done
